package com.nisum.pompagefactory.practice;

import java.io.FileNotFoundException;
import java.io.IOException;
import java.io.InputStream;
import java.util.*;

public class PropertyValues {
    Map<String, String> mapResults = new HashMap<>();
    InputStream inputStream;

    public Map<String, String> getPropValues() throws IOException {
        try {
            Properties prop = new Properties();
            String propFileName = "application.properties";

            inputStream = getClass().getClassLoader().getResourceAsStream(propFileName);

            if (inputStream != null) {
                prop.load(inputStream);
            } else {
                throw new FileNotFoundException("property file " + propFileName + " not found");
            }

            mapResults.put("firstname", prop.getProperty("firstname"));
            mapResults.put("lastname", prop.getProperty("lastname"));
            mapResults.put("email", prop.getProperty("email"));
            mapResults.put("password", prop.getProperty("password"));
            mapResults.put("phone", prop.getProperty("phone"));

        } catch (Exception e) {
            System.out.println("Exception: " + e);
        } finally {
            assert inputStream != null;
            inputStream.close();
        }

        return mapResults;
    }
}
