package com.nisum.pompagefactory.practice.tests;

import com.nisum.pompagefactory.practice.SetWebDriver;
import com.nisum.pompagefactory.practice.pages.AccountSettingsPage;
import com.nisum.pompagefactory.practice.pages.HomePage;
import com.nisum.pompagefactory.practice.pages.LoginPage;
import com.nisum.pompagefactory.practice.PropertyValues;
import org.junit.jupiter.api.Assertions;
import org.junit.jupiter.api.Test;
import org.openqa.selenium.WebDriver;
import org.openqa.selenium.support.ui.ExpectedConditions;
import org.openqa.selenium.support.ui.WebDriverWait;

import java.io.IOException;
import java.util.Map;

public class TestConfirmAccountDetails {

    @Test
    public void testAccountSettingsInformation()throws IOException {
        // get application.properties values and set WebDriver properties
        PropertyValues properties = new PropertyValues();
        Map<String, String> props = properties.getPropValues();
        WebDriver driver = new SetWebDriver("chrome").driver;
        WebDriverWait wait = new WebDriverWait(driver, 5);

        // Home Navigation to Login
        HomePage home = new HomePage(driver, "https://www.safeway.com/", true);
        home.navigateToLogin();

        // Login Action Call
        LoginPage loginPage = new LoginPage(driver, "https://www.safeway.com/", false);
        loginPage.loginUser(props.get("email"), props.get("password"));

        // Navigation to Account Settings
        AccountSettingsPage accountSettingsPage = new AccountSettingsPage(driver);
        accountSettingsPage.goToAccountSettings();

        // Assert Information Matches Application Properties
        wait.until(ExpectedConditions.elementToBeClickable(accountSettingsPage.accountFirstName));
        Assertions.assertEquals(props.get("firstname"), accountSettingsPage.accountFirstName.getAttribute("value"));
        Assertions.assertEquals(props.get("lastname"), accountSettingsPage.accountLastName.getAttribute("value"));
        Assertions.assertEquals(props.get("email"), accountSettingsPage.accountEmail.getAttribute("value"));
        Assertions.assertEquals(props.get("phone"), accountSettingsPage.accountPhoneNumber.getAttribute("value"));

        driver.quit();
    }

}
